package com.storlead.sales.service.sku;


import com.baomidou.mybatisplus.extension.service.IService;
import com.storlead.framework.common.result.Result;
import com.storlead.sales.pojo.entity.sku.SsdProductType;
import com.storlead.sales.pojo.entity.sku.SsdSku;
import com.storlead.sales.pojo.vo.sku.MakeOrderSkuDetailVO;
import com.storlead.sales.pojo.vo.sku.MakeQuotationSkuDetailCNENVO;
import com.storlead.sales.pojo.vo.sku.SsdSkuVO;

import java.math.BigDecimal;

public interface SsdSkuService extends IService<SsdSku> {
    /**
     * ssd sku 列表
     *
     * @param ssdSku 请求参数
     * @return com.storlead.common.util.Result
     * @author blank
     * @since 2018-11-13 下午 2:54
     */
    Result list(SsdSkuVO ssdSku);

    Result detail(SsdSkuVO ssdSkuVO);

    Result ssdStepOneGetSkuDetail(MakeQuotationSkuDetailCNENVO skuDetailParams);

    MakeOrderSkuDetailVO getMakeOrderSkuDetail(MakeQuotationSkuDetailCNENVO skuDetailVO);

    Result downloadQuotationFile(MakeQuotationSkuDetailCNENVO querySkuDetailParam);

    /***
      * @Description: ssd sku 可选配置json列表
      * @Param:
      * @return:
      * @Author: YPZ
      * @Date: 2024/8/13 15:19
      */
    Result configSsdSkuJson();

    /***
      * @Description: 汇率查询
      * @Param:
      * @return:
      * @Author: YPZ
      * @Date: 2024/8/22 15:37
      */
    BigDecimal getRate();
}
